package com.duiba.tuia.youtui.web.tool;

import java.math.BigDecimal;

/**
 * 处理数据
 * @author lichao 2018/3/27
 */
public class DataUtil {

    /**
     *
     * calculateFenToYuan:(分转元). <br/>
     *
     * @param yuan
     * @return
     * @since JDK 1.6
     */
    public static Double calculateFenToYuan(Long yuan){
        if (yuan == null) {
            return 0d;
        }
        return BigDecimal.valueOf(yuan).divide(BigDecimal.valueOf(100)).setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue();
    }

}
